'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
module.exports = buble;

var _buble = require('buble');

var _rollupPluginutils = require('rollup-pluginutils');

function buble(options) {
	if (!options) options = {};
	var filter = (0, _rollupPluginutils.createFilter)(options.include, options.exclude);

	if (!options.transforms) options.transforms = {};
	options.transforms.modules = false;

	return {
		name: 'buble',

		transform: function transform(code, id) {
			if (!filter(id)) return null;

			try {
				return (0, _buble.transform)(code, options);
			} catch (e) {
				e.plugin = 'buble';
				if (!e.loc) e.loc = {};
				e.loc.file = id;
				e.frame = e.snippet;
				throw e;
			}
		}
	};
}
